<div th:fragment="book-detail" xmlns:th="http://www.thymeleaf.org">
    <!--/*@thymesVar id="book" type="generated.libraryservice.GeneratedBook"*/-->
    <!--/*@thymesVar id="stocks" type="java.util.ArrayList<generated.libraryservice.GeneratedStock>"*/-->
    <!--/*@thymesVar id="stock" type="generated.libraryservice.GeneratedStock"*/-->
    <!--/*@thymesVar id="authentication" type="java.lang.String"*/-->

    <!-- ===== Synopsis ===== -->
    <section class="container" id="synopsis">
        <p th:text="${book.synopsis}"></p>
    </section>

    <!-- ===== Table of book information ===== -->
    <section class="container">
        <table class="table table-infos">
            <tbody>
            <tr>
                <th scope="row" th:text="#{table.category}"></th>
                <td th:text="${book.category}"></td>
            </tr>
            <tr>
                <th scope="row" th:text="#{table.reference}"></th>
                <td th:text="${book.reference}"></td>
            </tr>
            <tr>
                <th scope="row" th:text="#{table.publisher}"></th>
                <td th:text="${book.publisher}"></td>
            </tr>
            <tr>
                <th scope="row" th:text="#{table.language}"></th>
                <td th:text="${book.language}"></td>
            </tr>
            </tbody>
        </table>
    </section>

    <!-- ===== Availability of the book in the library ===== -->
    <section class="container">
        <ul class="libraryList">
            <li class="listItem" th:each="stock : ${stocks}">
                <div>
                    <p th:text="${stock.quantity}"></p>
                </div>
                <h3 class="mb-auto" data-placement="bottom"
                    data-toggle="tooltip" th:text="${stock.library.name}"
                    th:title="${stock.library.address}"></h3>
                <a class="btn btn-outline-lightbrown" th:href="@{/borrowing/new(libraryId=${stock.library.numberRef}, bookReference=${book.reference})}"
                   th:utext="${stock.quantity > 0}?#{button.borrow}:#{button.reserve}"
                   th:unless="${authentication.equals('anonymousUser')}"></a>
            </li>
        </ul>
    </section>

    <!-- ===== Commentary on the book ===== -->
    <section class="container-fluid" id="comments">
        <div id="separator"></div>
        <div id="commentContent">
            <div th:replace="fragments/index/comments :: comments"></div>
        </div>
    </section>

    <!-- Comment DataTable Script -->
    <script th:src="@{/js/book.detail.js}" type="text/javascript"></script>
    <script>
        commentDataTable();
    </script>
</div>